package com.rjconsultores.ventaboletos.vo.impressaofiscal;

import java.math.BigDecimal;
import java.util.List;

public class ImportacionManualFiscalVO {

	private String numImpressora;
	private String coo;
	private Long boletoId;
	private Integer empresaId;
	private String empresa;
	private String dataEmissao;
	private BigDecimal valorTotal;
	private Integer origenId;
	private String origenUf;
	private Integer destinoId;
	private String destinoUf;
	private String repTributado;
	private BigDecimal valorItem;
	private String tipoPassagem;
	private String numItem;
	private String codProduto;
	private String serie;
	private BigDecimal icms;
	private BigDecimal porctributo;
	private Integer estadoIdOrigen;
	private Integer estadoIdDestino;
	private BigDecimal importetaxaembarque;
	private BigDecimal importepedagio;
	private BigDecimal importeoutros;
	private BigDecimal importeseguro;
	private String subSerie;
	private String aidf;
	private String numpdv;
	private String modeloImpressora;
	private String numCaixa;
	private String status;
	private String claseServicio;

	List<SubItens> subItens;

	public String getNumImpressora() {
		return numImpressora;
	}

	public void setNumImpressora(String numImpressora) {
		this.numImpressora = numImpressora;
	}

	public String getCoo() {
		return coo;
	}

	public void setCoo(String coo) {
		this.coo = coo;
	}

	public Long getBoletoId() {
		return boletoId;
	}

	public void setBoletoId(Long boletoId) {
		this.boletoId = boletoId;
	}

	public Integer getEmpresaId() {
		return empresaId;
	}

	public void setEmpresaId(Integer empresaId) {
		this.empresaId = empresaId;
	}

	public String getEmpresa() {
		return empresa;
	}

	public void setEmpresa(String empresa) {
		this.empresa = empresa;
	}

	public String getDataEmissao() {
		return dataEmissao;
	}

	public void setDataEmissao(String dataEmissao) {
		this.dataEmissao = dataEmissao;
	}

	public BigDecimal getValorTotal() {
		return valorTotal;
	}

	public void setValorTotal(BigDecimal valorTotal) {
		this.valorTotal = valorTotal;
	}

	public Integer getOrigenId() {
		return origenId;
	}

	public void setOrigenId(Integer origenId) {
		this.origenId = origenId;
	}

	public String getRepTributado() {
		return repTributado;
	}

	public void setRepTributado(String repTributado) {
		this.repTributado = repTributado;
	}

	public BigDecimal getValorItem() {
		return valorItem;
	}

	public void setValorItem(BigDecimal valorItem) {
		this.valorItem = valorItem;
	}

	public String getTipoPassagem() {
		return tipoPassagem;
	}

	public void setTipoPassagem(String tipoPassagem) {
		this.tipoPassagem = tipoPassagem;
	}

	public String getNumItem() {
		return numItem;
	}

	public void setNumItem(String numItem) {
		this.numItem = numItem;
	}

	public String getCodProduto() {
		return codProduto;
	}

	public void setCodProduto(String codProduto) {
		this.codProduto = codProduto;
	}

	public String getSerie() {
		return serie;
	}

	public void setSerie(String serie) {
		this.serie = serie;
	}

	public BigDecimal getIcms() {
		return icms;
	}

	public void setIcms(BigDecimal icms) {
		this.icms = icms;
	}

	public BigDecimal getPorctributo() {
		return porctributo;
	}

	public void setPorctributo(BigDecimal porctributo) {
		this.porctributo = porctributo;
	}

	public BigDecimal getImportetaxaembarque() {
		return importetaxaembarque;
	}

	public void setImportetaxaembarque(BigDecimal importetaxaembarque) {
		this.importetaxaembarque = importetaxaembarque;
	}

	public BigDecimal getImportepedagio() {
		return importepedagio;
	}

	public void setImportepedagio(BigDecimal importepedagio) {
		this.importepedagio = importepedagio;
	}

	public BigDecimal getImporteoutros() {
		return importeoutros;
	}

	public void setImporteoutros(BigDecimal importeoutros) {
		this.importeoutros = importeoutros;
	}

	public BigDecimal getImporteseguro() {
		return importeseguro;
	}

	public void setImporteseguro(BigDecimal importeseguro) {
		this.importeseguro = importeseguro;
	}

	public List<SubItens> getSubItens() {
		return subItens;
	}

	public void setSubItens(List<SubItens> subItens) {
		this.subItens = subItens;
	}

	public Integer getEstadoIdOrigen() {
		return estadoIdOrigen;
	}

	public void setEstadoIdOrigen(Integer estadoIdOrigen) {
		this.estadoIdOrigen = estadoIdOrigen;
	}

	public Integer getEstadoIdDestino() {
		return estadoIdDestino;
	}

	public void setEstadoIdDestino(Integer estadoIdDestino) {
		this.estadoIdDestino = estadoIdDestino;
	}

	public String getSubSerie() {
		return subSerie;
	}

	public void setSubSerie(String subSerie) {
		this.subSerie = subSerie;
	}

	public String getAidf() {
		return aidf;
	}

	public void setAidf(String aidf) {
		this.aidf = aidf;
	}

	public Integer getDestinoId() {
		return destinoId;
	}

	public void setDestinoId(Integer destinoId) {
		this.destinoId = destinoId;
	}

	public String getNumpdv() {
		return numpdv;
	}

	public void setNumpdv(String numpdv) {
		this.numpdv = numpdv;
	}

	public String getModeloImpressora() {
		return modeloImpressora;
	}

	public void setModeloImpressora(String modeloImpressora) {
		this.modeloImpressora = modeloImpressora;
	}

	public String getNumCaixa() {
		return numCaixa;
	}

	public void setNumCaixa(String numCaixa) {
		this.numCaixa = numCaixa;
	}

	public String getOrigenUf() {
		return origenUf;
	}

	public void setOrigenUf(String origenUf) {
		this.origenUf = origenUf;
	}

	public String getDestinoUf() {
		return destinoUf;
	}

	public void setDestinoUf(String destinoUf) {
		this.destinoUf = destinoUf;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getClaseServicio() {
		return claseServicio;
	}

	public void setClaseServicio(String claseServicio) {
		this.claseServicio = claseServicio;
	}

}
